Package org.eclipse.birt.chart.script

# Class ChartScriptContext

java.lang.Object
org.eclipse.birt.chart.script.AbstractScriptContext
org.eclipse.birt.chart.script.ChartScriptContext

All Implemented Interfaces:
  `Serializable`, `IChartScriptContext`, `IScriptContext`

public class ChartScriptContext extends AbstractScriptContext implements IChartScriptContext
An internal implementation for IChartScriptContext

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ChartScriptContext()`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`Chart`
`getChartInstance()`
`void`
`setChartInstance(Chart cm)`
Binding the script context with the chart instance

### Methods inherited from class org.eclipse.birt.chart.script.AbstractScriptContext

`getExternalContext, getLocale, getLogger, getProperty, getULocale, setExternalContext, setLogger, setProperty, setULocale`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.script.IScriptContext

`getExternalContext, getLocale, getLogger, getProperty, getULocale, setProperty`

## Constructor Details

### ChartScriptContext

public ChartScriptContext()
The constructor.

## Method Details

### getChartInstance

public Chart getChartInstance()

Specified by:
  `getChartInstance` in interface `IChartScriptContext`
Returns:
  Returns a runtime instance of the chart,or null if not available yet.

### setChartInstance

public void setChartInstance(Chart cm)
Binding the script context with the chart instance

Parameters:
  `cm` - Chart